function problem = setup_problem
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      ccbnd1
% from  2022-04-01 



% opening angle, may vary in (0,2*pi)
problem.omega = 6 * pi / 5;

% singular exponent
problem.lambda = pi / problem.omega;

% generate vertices of the domain
vertices = [0 1; 0 0];
if (problem.omega > 1*pi/4), vertices = [vertices, [1; 1]]; end
if (problem.omega > 2*pi/4), vertices = [vertices, [0; 1]]; end
if (problem.omega > 3*pi/4), vertices = [vertices, [-1; 1]]; end
if (problem.omega > 4*pi/4), vertices = [vertices, [-1; 0]]; end
if (problem.omega > 5*pi/4), vertices = [vertices, [-1; -1]]; end
if (problem.omega > 6*pi/4), vertices = [vertices, [0; -1]]; end
if (problem.omega > 7*pi/4), vertices = [vertices, [1; -1]]; end
final = [cos(problem.omega);sin(problem.omega)];
final = final / max(abs(final));
vertices = [vertices, final];
problem.vertices = vertices;

